creadur-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jochen Wiedmann <jochen.wiedm...@gmail.com>
Subject Re: Compiler level - change ?!
Date Thu, 31 Jul 2014 07:55:01 GMT
The usual discussion: AFAICT, noone actually cares for the compiler level,
as the current compilers are quite happy to process older levels. Are there
any hard reasons fpr changing?


On Thu, Jul 31, 2014 at 9:14 AM, P. Ottlinger <pottlinger@aiki-it.de> wrote:

> Hi guys,
>
> due to my addition of commons-lang3 I ran into the versioning chaos of
> creadur's compiler level.
>
> Are there any hard reasons to keep with 1.5 in Jenkins?
>
> Since these ancient Java versions are not officially supported and no
> security updates for the varous security issues are available I'd like to
> rpopose to raise the compiler level in rat, tentacles and whisker ...
> what level would you prefer?
>
> - 1.6
> - 1.7
> - 1.8
>
> Thanks for your opinions/objections.
>
> I'd propose to switch to 1.7 in version 0.11 for all projects in order to
> be able to upgrade dependencies and to avoid a rag rug of compiler levels
> in all creadur projects.
>
> Cheers,
> Phil
>



-- 
Our time is just a point along a line that runs forever with no end.
(Al Stewart, Lord Grenville)

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message